//
//  CompanyInfo.h
//  R₂O
//
//  Created by Andy Balholm on 6/10/09.
//  Copyright 2009 Northland Graphics. All rights reserved.
//
//  A CompanyInfo object stores a company's contact information and standard terms.

#import <Cocoa/Cocoa.h>

@interface CompanyInfo : NSObject <NSCoding>
{
  NSString * name;
  NSString * address;
  NSString * city;
  NSString * state;
  NSString * zip;
  NSString * phone;
  int standardLength; // The default length of a contract, in months.
}

- (NSString *)name;
- (void)setName:(NSString *)n;

- (NSString *)address;
- (void)setAddress:(NSString *)a;

- (NSString *)city;
- (void)setCity:(NSString *)c;

- (NSString *)state;
- (void)setState:(NSString *)s;

- (NSString *)zip;
- (void)setZip:(NSString *)z;

- (NSString *)phone;
- (void)setPhone:(NSString *)p;

- (int)standardLength;
- (void)setStandardLength:(int)i;

@end
