//
//  CompanyInfoController.m
//  R₂O
//
//  Created by Andy Balholm on 6/13/09.
//  Copyright 2009 Northland Graphics. All rights reserved.
//

#import "CompanyInfoController.h"
#import "MyDocument.h"

@implementation CompanyInfoController

- (id)init
{
	return [super initWithWindowNibName:@"CompanyInfo"];
}

- (NSString *)windowTitleForDocumentDisplayName:(NSString *)displayName
{
	return [NSString stringWithFormat:NSLocalizedString(@"%@ - Company Info", @"title for company information window"),
          displayName];
}

- (void)setDocument:(NSDocument *)document
{
  [super setDocument:document];
  [self setContent:[(MyDocument *)document companyInfo]];
}

@end
