//
//  MyDocument.h
//  R2O
//
//  Created by Andy Balholm on 6/10/09.
//  Copyright Northland Graphics 2009 . All rights reserved.
//


#import <Cocoa/Cocoa.h>
#import "CompanyInfo.h"

@interface MyDocument : NSDocument
{
  CompanyInfo * companyInfo;
}

- (CompanyInfo *)companyInfo;
- (void)setCompanyInfo:(CompanyInfo *)c;

- (IBAction)showCompanyInfoWindow:(id)sender;

// Use key-value coding to set an attribute of a model object. Register for undo.
- (void)setValue:(id)value forKey:(NSString *)key ofObject:(id)model;

@end
